# Put labels on and take labels off a set of conversations

`POST /workspace/inbox/threads/labels` · Rivier · inbox

Put labels on and take labels off a set of conversations.

- Scope: inbox:write
- Graphql: Mutation.inboxLabelApply
- Sdk: inbox.label.apply
- Cli: inbox label apply

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "ids": {
      "type": "array",
      "items": {
        "type": "string",
        "format": "uuid"
      },
      "minItems": 1,
      "maxItems": 200
    },
    "add": {
      "type": "array",
      "items": {
        "type": "string",
        "minLength": 1,
        "maxLength": 80
      },
      "maxItems": 20
    },
    "remove": {
      "type": "array",
      "items": {
        "type": "string",
        "minLength": 1,
        "maxLength": 80
      },
      "maxItems": 20
    }
  },
  "required": [
    "ids"
  ],
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/workspace/inbox/threads/labels' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "ids": [
    "string"
  ]
}'
```
